---
title: <title> — the SVG accessible name element
slug: Web/SVG/Element/title
tags:
  - Element
  - Reference
  - SVG
  - SVG Descriptive
---
<div>{{SVGRef}}</div>

<p>The <strong><code>&lt;title&gt;</code></strong> element provides an accessible, short-text description of any SVG <a href="/en-US/docs/Web/SVG/Element#Container_elements">container element</a> or <a href="/en-US/docs/Web/SVG/Element#Graphics_elements">graphics element</a>.</p>

<p>Text in a <code>&lt;title&gt;</code> element is not rendered as part of the graphic, but browsers usually display it as a tooltip. If an element can be described by visible text, it is recommended to reference that text with an <code><a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques/Using_the_aria-labelledby_attribute">aria-labelledby</a></code> attribute rather than using the <code>&lt;title&gt;</code> element.</p>

<p class="note"><strong>Note:</strong> For backward compatibility with SVG 1.1, <code>&lt;title&gt;</code> elements should be the first child element of their parent.</p>

<div id="Exemple">
<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 20 10" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;circle cx="5" cy="5" r="4"&gt;
    &lt;title&gt;I'm a circle&lt;/title&gt;
  &lt;/circle&gt;

  &lt;rect x="11" y="1" width="8" height="8"&gt;
    &lt;title&gt;I'm a square&lt;/title&gt;
  &lt;/rect&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample('Exemple', 150, '100%')}}</p>
</div>

<h2 id="Attributes">Attributes</h2>

<p>This element only includes global attributes</p>

<h3 id="Global_attributes">Global attributes</h3>

<dl>
 <dt><a href="/docs/Web/SVG/Attribute/Core">Core Attributes</a></dt>
 <dd><small>Most notably: {{SVGAttr('id')}}</small></dd>
 <dt><a href="/docs/Web/SVG/Attribute/Styling">Styling Attributes</a></dt>
 <dd><small>{{SVGAttr('class')}}, {{SVGAttr('style')}}</small></dd>
 <dt>Event Attributes</dt>
 <dd><small><a href="/docs/Web/SVG/Attribute/Events#Global_Event_Attributes">Global event attributes</a>, <a href="/docs/Web/SVG/Attribute/Events#Document_Element_Event_Attributes">Document element event attributes</a></small></dd>
</dl>

<h2 id="Usage_notes">Usage notes</h2>

<p>{{svginfo}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('SVG2', 'struct.html#TitleElement', '&lt;title&gt;')}}</td>
   <td>{{Spec2('SVG2')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('SVG1.1', 'struct.html#DescriptionAndTitleElements', '&lt;title&gt;')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.title")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("desc")}}</li>
</ul>
